# Documentation

### fetchBorrows(orderBy, orderDirection, where) ⇒ `Promise`

Get Accounts borrows historical data

**Kind**: global function\
**Returns**: `Promise` - `{ id, account, amount, fee, timestamp }[]`

| Param          | Type             | Description                          |
| -------------- | ---------------- | ------------------------------------ |
| orderBy        | `string`         | Property to orderBy                  |
| orderDirection | `OrderDirection` | Order in asc or desc                 |
| where          | `object`         | Where object e.g { account: "0x00" } |

### fetchAccountBorrows(account, orderBy, orderDirection) ⇒ `Promise`

Get Account borrows historical data

**Kind**: global function\
**Returns**: `Promise` - `{ id, account, amount, fee, timestamp }[]`

| Param          | Type             | Description                               |
| -------------- | ---------------- | ----------------------------------------- |
| account        | `string`         | Account to get borrow historical data for |
| orderBy        | `string`         | Property to orderBy                       |
| orderDirection | `OrderDirection` | Order in asc or desc                      |

### fetchDeposits(orderBy, orderDirection) ⇒ `Promise`

Get AssetManager deposits historical data

**Kind**: global function\
**Returns**: `Promise` - `{ id, token, amount, account, marketsTotalSupply }[]`

| Param          | Type             | Description          |
| -------------- | ---------------- | -------------------- |
| orderBy        | `string`         | Property to orderBy  |
| orderDirection | `OrderDirection` | Order in asc or desc |

### fetchMemberApplications(orderBy, orderDirection) ⇒ `Promise`

Get MemberApplications historical data

**Kind**: global function\
**Returns**: `Promise` - `{ id, staker, applicant, timestamp }[]`

| Param          | Type             | Description          |
| -------------- | ---------------- | -------------------- |
| orderBy        | `string`         | Property to orderBy  |
| orderDirection | `OrderDirection` | Order in asc or desc |

### fetchRepays(orderBy, orderDirection, where) ⇒ `Promise`

Get Accounts repays historical data

**Kind**: global function\
**Returns**: `Promise` - `{ id, account, amount, fee, timestamp }[]`

| Param          | Type             | Description                          |
| -------------- | ---------------- | ------------------------------------ |
| orderBy        | `string`         | Property to orderBy                  |
| orderDirection | `OrderDirection` | Order in asc or desc                 |
| where          | `object`         | Where object e.g { account: "0x00" } |

### fetchAccountRepays(account, orderBy, orderDirection) ⇒ `Promise`

Get Account repays historical data

**Kind**: global function\
**Returns**: `Promise` - `{ id, account, amount, fee, timestamp }[]`

| Param          | Type             | Description                              |
| -------------- | ---------------- | ---------------------------------------- |
| account        | `string`         | Account to get repay historical data for |
| orderBy        | `string`         | Property to orderBy                      |
| orderDirection | `OrderDirection` | Order in asc or desc                     |

### fetchStakers(orderBy, orderDirection, where) ⇒ `Promise`

Get stakers historical data

**Kind**: global function\
**Returns**: `Promise` - `{ id, account, totalLockedStake, totalFrozen, creditLimit, stakedAmount, timestamp }[]`

| Param          | Type             | Description                          |
| -------------- | ---------------- | ------------------------------------ |
| orderBy        | `string`         | Property to orderBy                  |
| orderDirection | `OrderDirection` | Order in asc or desc                 |
| where          | `object`         | Where object e.g { account: "0x00" } |

### fetchAccountStakes(orderBy, orderDirection) ⇒ `Promise`

Get staker historical data for single account

**Kind**: global function\
**Returns**: `Promise` - `{ id, account, totalLockedStake, totalFrozen, creditLimit, stakedAmount, timestamp }[]`

| Param          | Type             | Description          |
| -------------- | ---------------- | -------------------- |
| orderBy        | `string`         | Property to orderBy  |
| orderDirection | `OrderDirection` | Order in asc or desc |

### fetchTrustlines(orderBy, orderDirection, where) ⇒ `Promise`

Get trustline historical data. when updateTrust is called on the UserManager this trustline data is recorded

**Kind**: global function\
**Returns**: `Promise` - `{ id, staker, borrower, amount, timestamp }[]`

| Param          | Type             | Description                           |
| -------------- | ---------------- | ------------------------------------- |
| orderBy        | `string`         | Property to orderBy                   |
| orderDirection | `OrderDirection` | Order in asc or desc                  |
| where          | `object`         | Where object e.g `{ staker: "0x00" }` |

### fetchAccountTrusted(account, orderBy, orderDirection) ⇒ `Promise`

Get data about accounts that are vouching for `account`

**Kind**: global function\
**Returns**: `Promise` - `{ id, staker, borrower, amount, timestamp }[]`

| Param          | Type             | Description          |
| -------------- | ---------------- | -------------------- |
| account        | `string`         | Account to lookup    |
| orderBy        | `string`         | Property to orderBy  |
| orderDirection | `OrderDirection` | Order in asc or desc |

### fetchAccountTrusting(account, orderBy, orderDirection) ⇒ `Promise`

Get data about accounts that are being trusted by `account`

**Kind**: global function\
**Returns**: `Promise` - `{ id, staker, borrower, amount, timestamp }[]`

| Param          | Type             | Description          |
| -------------- | ---------------- | -------------------- |
| account        | `string`         | Account to lookup    |
| orderBy        | `string`         | Property to orderBy  |
| orderDirection | `OrderDirection` | Order in asc or desc |

### fetchAccountTrustRelationship(borrower, staker, orderBy, orderDirection) ⇒ `Promise`

Get data about related account `borrower` -> `staker`

**Kind**: global function\
**Returns**: `Promise` - `{ id, staker, borrower, amount, timestamp }[]`

| Param          | Type             | Description          |
| -------------- | ---------------- | -------------------- |
| borrower       | `string`         | Account to lookup    |
| staker         | `string`         | Account to lookup    |
| orderBy        | `string`         | Property to orderBy  |
| orderDirection | `OrderDirection` | Order in asc or desc |

### fetchUTokenMeta(orderBy, orderDirection) ⇒ `Promise`

Get UserManager historical state

**Kind**: global function\
**Returns**: `Promise` - `{ id, totalBorrows, totalSupply, totalReserves, totalRedeemable, borrowRate, supplyRate, exchangeRate, timestamp }`

| Param          | Type             | Description          |
| -------------- | ---------------- | -------------------- |
| orderBy        | `string`         | Property to orderBy  |
| orderDirection | `OrderDirection` | Order in asc or desc |

### fetchUserManagerMeta(orderBy, orderDirection) ⇒ `Promise`

Get UserManager historical data

**Kind**: global function\
**Returns**: `Promise` - `{ id, totalStaked, totalFrozen, timestamp }[]`

| Param          | Type             | Description          |
| -------------- | ---------------- | -------------------- |
| orderBy        | `string`         | Property to orderBy  |
| orderDirection | `OrderDirection` | Order in asc or desc |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.union.finance/developers/union-data/documentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
